
SRCDIR:= img
DSTDIR:= build
SOURCES := $(wildcard $(SRCDIR)/*)
FILES := $(patsubst $(SRCDIR)/%,$(DSTDIR)/%,$(SOURCES))

all: $(FILES)
	@echo $(SOURCES)
	@echo $(FILES)

palette.out: palette.in
	node palette-gen.js < palette.in > palette.out

builddir:
	@mkdir -p build

build/%.jpg: img/%.jpg builddir palette.out 
	repalette $@< $@ -p $$(cat palette.out) --dither $$DITHER

build/%.png: img/%.png builddir palette.out 
	repalette $< $@ -p $$(cat palette.out) --dither $$DITHER

clean:
	@rm -rf palette.in palette.out build